Mono.Posix 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.Object System.CLSCompliant(false) Performs conversions between managed and unmanaged enumeration values.

Different operating systems give different values to the same identifier. For example, SIGBUS is 10 under FreeBSD, while it's 7 for x86 Linux. Meanwhile, will have the same value everywhere. Since it is undesirable to require recompilation for every target platform, the namespace instead exports a stable ABI, and provides conversion functions to convert between the managed and appropriate OS-specific values.

Normally this conversion is handled transparently by the wrapper functions, so members of this class shouldn't need to be used.

You cannot blindly cast a value to an enumeration without sacrificing portability, as the platform may not support the value you want.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` The managed value to convert. Converts a to an OS-specific value. The equivalent OS-specific value. has no equivalent OS-specific value.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` The managed value to convert. Converts a to an OS-specific value. The equivalent OS-specific value. has no equivalent OS-specific value.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int64 `` A in the user's current time zone. Converts a into a Unix time_t. The converted A Unix time_t stores the number of seconds that have elapsed since Midnight of January 1, 1970, UTC.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` The managed value to convert. Converts a to an OS-specific value. The equivalent OS-specific value. has no equivalent OS-specific value.
- Method
  4.0.0.0
  System.UInt32 `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Int32 `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` The managed value to convert. Converts a to an OS-specific value. The equivalent OS-specific value. has no equivalent OS-specific value.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` The managed value to convert. Converts a to an OS-specific value. The equivalent OS-specific value. has no equivalent OS-specific value.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.UInt32 `` The managed value to convert. Converts a to an OS-specific value. The equivalent OS-specific value. has no equivalent OS-specific value.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` The managed value to convert. Converts a to an OS-specific value. The equivalent OS-specific value. has no equivalent OS-specific value.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int16 `` The managed value to convert. Converts a to an OS-specific value. The equivalent OS-specific value. has no equivalent OS-specific value.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` The managed value to convert. Converts a to an OS-specific value. The equivalent OS-specific value. has no equivalent OS-specific value.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` The managed value to convert. Converts a to an OS-specific value. The equivalent OS-specific value. has no equivalent OS-specific value.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` The managed value to convert. Converts a to an OS-specific value. The equivalent OS-specific value. has no equivalent OS-specific value.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.UInt64 `` The managed value to convert. Converts a to an OS-specific value. The equivalent OS-specific value. has no equivalent OS-specific value.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.UInt64 `` The managed value to convert. Converts a to an OS-specific value. The equivalent OS-specific value. has no equivalent OS-specific value.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` The managed value to convert. Converts a to an OS-specific value. The equivalent OS-specific value. has no equivalent OS-specific value.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.Native.FilePermissions `` The octal representation of a value. Converts an octal string representation of a into a . The converted .

  This method makes it easier to create a value, allowing the use of common octal permission notation.

  `using System; using Mono.Unix.Native; class Test { public static void Main(string[] args) { // these two statements are equivalent. FilePermissions simple = NativeConvert.FromOctalPermissionString ("0644"); FilePermissions annoying = FilePermissions.S_IRUSR | FilePermissions.S_IWUSR | FilePermissions.S_IRGRP | FilePermissions.S_IROTH; } }`
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` The managed value to convert. Converts a to an OS-specific value. The equivalent OS-specific value. has no equivalent OS-specific value.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` The managed value to convert. Converts a to an OS-specific value. The equivalent OS-specific value. has no equivalent OS-specific value.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int16 `` The managed value to convert. Converts a to an OS-specific value. The equivalent OS-specific value. has no equivalent OS-specific value.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` The managed value to convert. Converts a to an OS-specific value. The equivalent OS-specific value. has no equivalent OS-specific value.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` The managed value to convert. Converts a to an OS-specific value. The equivalent OS-specific value. has no equivalent OS-specific value.
- Method
  2.0.0.0
  4.0.0.0
  System.Int32 `` The signal to convert from. Converts a to an OS-specific value. The equivalent OS-specific value.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int16 `` The managed value to convert. Converts a to an OS-specific value. The equivalent OS-specific value. has no equivalent OS-specific value.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` The managed value to convert. Converts a to an OS-specific value. The equivalent OS-specific value. has no equivalent OS-specific value.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` The managed value to convert. Converts a to an OS-specific value. The equivalent OS-specific value. has no equivalent OS-specific value.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` The managed value to convert. Converts a to an OS-specific value. The equivalent OS-specific value. has no equivalent OS-specific value.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` The managed value to convert. Converts a to an OS-specific value. The equivalent OS-specific value. has no equivalent OS-specific value.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` The managed value to convert. Converts a to an OS-specific value. The equivalent OS-specific value. has no equivalent OS-specific value.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.DateTime `` A Unix time_t value. Converts a Unix time_t in the user's current time zone into a . The converted time_t. A Unix time_t stores the number of seconds that have elapsed since Midnight of January 1, 1970, UTC.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.Native.FilePermissions `` The unix permission representation of a value. Converts a unix permission representation of a into a . The converted .

  A "Unix permission string" is the 9 or 10 character string commonly seen in the output of ls -l, e.g. "-rwxr-x---".

  This method makes it easier to create a value, allowing the use of common Unix permission notation.

  Both 9 and 10 character representations are decoded, the difference being the file type.

  `using System; using Mono.Unix.Native; class Test { public static void Main(string[] args) { // All statement pairs are equivalent. // Note: 9 character string -- file type not set FilePermissions simple1 = NativeConvert.FromUnixPermissionString ("rw-r--r--"); FilePermissions annoying1 = FilePermissions.S_IRUSR | FilePermissions.S_IWUSR | FilePermissions.S_IRGRP | FilePermissions.S_IROTH; // Note: 10 character string -- regular file specified FilePermissions simple2 = NativeConvert.FromUnixPermissionString ("----------"); FilePermissions annoying2 = FilePermissions.S_IFREG; // Note: 10 character string -- directory with all access permissions specified FilePermissions simple3 = NativeConvert.FromUnixPermissionString ("drwxrwxrwx"); FilePermissions annoying3 = FilePermissions.S_IFDIR | FilePermissions.ACCESSPERMS; } }`
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` The managed value to convert. Converts a to an OS-specific value. The equivalent OS-specific value. has no equivalent OS-specific value.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` The managed value to convert. Converts a to an OS-specific value. The equivalent OS-specific value. has no equivalent OS-specific value.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.DateTime 1/1/1970 12:00:00 AM The start of the Unix epoch. This DateTime corresponds to a Unix time_t value of 0.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.TimeSpan To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.Native.AccessModes `` The OS-specific value to convert. Converts an OS-specific value to a . An approximation of the equivalent managed value.

  The current conversion functions are unable to determine if a value in a [Flags]-marked enumeration does not exist on the current platform. As such, if contains a flag value which the current platform doesn't support, it will not be present in the managed value returned.

  This should only be a problem if was not previously returned by .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.Native.ConfstrName `` The OS-specific value to convert. Converts an OS-specific value to a . The equivalent managed value. has no equivalent managed value.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.DateTime `` A Unix time_t value. Converts a Unix time_t in the user's current time zone into a . The converted time_t. A Unix time_t stores the number of seconds that have elapsed since Midnight of January 1, 1970, UTC.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.Native.DirectoryNotifyFlags `` The OS-specific value to convert. Converts an OS-specific value to a . An approximation of the equivalent managed value.

  The current conversion functions are unable to determine if a value in a [Flags]-marked enumeration does not exist on the current platform. As such, if contains a flag value which the current platform doesn't support, it will not be present in the managed value returned.

  This should only be a problem if was not previously returned by .

- Method
  4.0.0.0
  Mono.Unix.Native.EpollEvents `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  Mono.Unix.Native.EpollFlags `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.Native.Errno `` The OS-specific value to convert. Converts an OS-specific value to a . The equivalent managed value. has no equivalent managed value.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.Native.FcntlCommand `` The OS-specific value to convert. Converts an OS-specific value to a . The equivalent managed value. has no equivalent managed value.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.Native.FilePermissions `` The OS-specific value to convert. Converts an OS-specific value to a . An approximation of the equivalent managed value.

  The current conversion functions are unable to determine if a value in a [Flags]-marked enumeration does not exist on the current platform. As such, if contains a flag value which the current platform doesn't support, it will not be present in the managed value returned.

  This should only be a problem if was not previously returned by .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` Specifies what can be done to the file. Converts the managed into a string suitable for use with 's parameter.. The morally equivalent file mode. This is primarily useful if you're trying to make a Unix-specific API look like a CLI API, such as with .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` Specifies how to open the file Converts the managed into a string suitable for use with 's parameter.. The morally equivalent file mode. This is primarily useful if you're trying to make a Unix-specific API look like a CLI API, such as with .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` `` Specifies how to open the file Specifies what can be done to the file. Converts the managed () pair into a string suitable for use with 's parameter.. The morally equivalent file mode. This is primarily useful if you're trying to make a Unix-specific API look like a CLI API, such as with .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.Native.LockfCommand `` The OS-specific value to convert. Converts an OS-specific value to a . The equivalent managed value. has no equivalent managed value.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.Native.LockType `` The OS-specific value to convert. Converts an OS-specific value to a . The equivalent managed value. has no equivalent managed value.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.Native.MlockallFlags `` The OS-specific value to convert. Converts an OS-specific value to a . An approximation of the equivalent managed value.

  The current conversion functions are unable to determine if a value in a [Flags]-marked enumeration does not exist on the current platform. As such, if contains a flag value which the current platform doesn't support, it will not be present in the managed value returned.

  This should only be a problem if was not previously returned by .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.Native.MmapFlags `` The OS-specific value to convert. Converts an OS-specific value to a . An approximation of the equivalent managed value.

  The current conversion functions are unable to determine if a value in a [Flags]-marked enumeration does not exist on the current platform. As such, if contains a flag value which the current platform doesn't support, it will not be present in the managed value returned.

  This should only be a problem if was not previously returned by .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.Native.MmapProts `` The OS-specific value to convert. Converts an OS-specific value to a . An approximation of the equivalent managed value.

  The current conversion functions are unable to determine if a value in a [Flags]-marked enumeration does not exist on the current platform. As such, if contains a flag value which the current platform doesn't support, it will not be present in the managed value returned.

  This should only be a problem if was not previously returned by .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.Native.MountFlags `` The OS-specific value to convert. Converts an OS-specific value to a . An approximation of the equivalent managed value.

  The current conversion functions are unable to determine if a value in a [Flags]-marked enumeration does not exist on the current platform. As such, if contains a flag value which the current platform doesn't support, it will not be present in the managed value returned.

  This should only be a problem if was not previously returned by .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.Native.MremapFlags `` The OS-specific value to convert. Converts an OS-specific value to a . An approximation of the equivalent managed value.

  The current conversion functions are unable to determine if a value in a [Flags]-marked enumeration does not exist on the current platform. As such, if contains a flag value which the current platform doesn't support, it will not be present in the managed value returned.

  This should only be a problem if was not previously returned by .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.Native.MsyncFlags `` The OS-specific value to convert. Converts an OS-specific value to a . An approximation of the equivalent managed value.

  The current conversion functions are unable to determine if a value in a [Flags]-marked enumeration does not exist on the current platform. As such, if contains a flag value which the current platform doesn't support, it will not be present in the managed value returned.

  This should only be a problem if was not previously returned by .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` A Unix mode_t value. Converts a into an octal string representation. An octal string representation of a Unix mode_t. `using System; using Mono.Unix.Native; class Test { public static void Main(string[] args) { foreach (string file in args) { Stat stat; if (Syscall.stat (file, out stat) == 0) { Console.WriteLine (" File: `{0}'", file); Console.WriteLine ("Access: ({0}/{1})", NativeConvert.ToOctalPermissionString (stat.st_mode), NativeConvert.ToUnixPermissionString (stat.st_mode)) } else { Console.WriteLine ("Cannot stat `{0}': {1}", file, Stdlib.strerror (Stdlib.GetLastError ())); } } } }`
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.Native.OpenFlags `` The OS-specific value to convert. Converts an OS-specific value to a . An approximation of the equivalent managed value.

  The current conversion functions are unable to determine if a value in a [Flags]-marked enumeration does not exist on the current platform. As such, if contains a flag value which the current platform doesn't support, it will not be present in the managed value returned.

  This should only be a problem if was not previously returned by .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.Native.OpenFlags `` `` Specifies how to open the file Specifies what can be done to the file. Converts the managed () pair into a The morally equivalent file flags. This is primarily useful if you're trying to make a Unix-specific API look like a CLI API, such as with .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.Native.PathconfName `` The OS-specific value to convert. Converts an OS-specific value to a . The equivalent managed value. has no equivalent managed value.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.Native.PollEvents `` The OS-specific value to convert. Converts an OS-specific value to a . An approximation of the equivalent managed value.

  The current conversion functions are unable to determine if a value in a [Flags]-marked enumeration does not exist on the current platform. As such, if contains a flag value which the current platform doesn't support, it will not be present in the managed value returned.

  This should only be a problem if was not previously returned by .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.Native.PosixFadviseAdvice `` The OS-specific value to convert. Converts an OS-specific value to a . The equivalent managed value. has no equivalent managed value.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.Native.PosixMadviseAdvice `` The OS-specific value to convert. Converts an OS-specific value to a . The equivalent managed value. has no equivalent managed value.
- Method
  2.0.0.0
  4.0.0.0
  Mono.Unix.Native.RealTimeSignum `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.Native.SeekFlags `` The OS-specific value to convert. Converts an OS-specific value to a . The equivalent managed value. has no equivalent managed value.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.Native.Signum `` The OS-specific value to convert. Converts an OS-specific value to a . The equivalent managed value. has no equivalent managed value.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.Native.SysconfName `` The OS-specific value to convert. Converts an OS-specific value to a . The equivalent managed value. has no equivalent managed value.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.Native.SyslogFacility `` The OS-specific value to convert. Converts an OS-specific value to a . The equivalent managed value. has no equivalent managed value.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.Native.SyslogLevel `` The OS-specific value to convert. Converts an OS-specific value to a . The equivalent managed value. has no equivalent managed value.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.Native.SyslogOptions `` The OS-specific value to convert. Converts an OS-specific value to a . An approximation of the equivalent managed value.

  The current conversion functions are unable to determine if a value in a [Flags]-marked enumeration does not exist on the current platform. As such, if contains a flag value which the current platform doesn't support, it will not be present in the managed value returned.

  This should only be a problem if was not previously returned by .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int64 `` A in the user's current time zone. Converts a into a Unix time_t. The converted A Unix time_t stores the number of seconds that have elapsed since Midnight of January 1, 1970, UTC.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` to convert. Converts a into a Unix permission string. A Unix permission string.

  A "Unix permission string" is the 9 or 10 character string commonly seen in the output of ls -l, e.g. "-rwxr-x---".

  Both 9 and 10 character representations are encoded, the difference being the file type. If a file type is specified, a 10 character string is returned, with the file type encoded in the first character. Otherwise a 9 character string is returned.

  `using System; using Mono.Unix.Native; class Test { public static void Main(string[] args) { foreach (string file in args) { Stat stat; if (Syscall.stat (file, out stat) == 0) { Console.WriteLine (" File: `{0}'", file); Console.WriteLine ("Access: ({0}/{1})", NativeConvert.ToOctalPermissionString (stat.st_mode), NativeConvert.ToUnixPermissionString (stat.st_mode)) } else { Console.WriteLine ("Cannot stat `{0}': {1}", file, Stdlib.strerror (Stdlib.GetLastError ())); } } } }`
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.Native.WaitOptions `` The OS-specific value to convert. Converts an OS-specific value to a . An approximation of the equivalent managed value.

  The current conversion functions are unable to determine if a value in a [Flags]-marked enumeration does not exist on the current platform. As such, if contains a flag value which the current platform doesn't support, it will not be present in the managed value returned.

  This should only be a problem if was not previously returned by .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.Native.XattrFlags `` The OS-specific value to convert. Converts an OS-specific value to a . An approximation of the equivalent managed value.

  The current conversion functions are unable to determine if a value in a [Flags]-marked enumeration does not exist on the current platform. As such, if contains a flag value which the current platform doesn't support, it will not be present in the managed value returned.

  This should only be a problem if was not previously returned by .

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` The managed value to convert. The OS-specific equivalent value. Converts a enumeration value to an OS-specific value. if the conversion was successful; otherwise, .

  This is an exception-safe alternative to .

  If successful, this method stores the OS-specific equivalent value of into . Otherwise, will contain 0.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` The managed value to convert. The OS-specific equivalent value. Converts a enumeration value to an OS-specific value. if the conversion was successful; otherwise, .

  This is an exception-safe alternative to .

  If successful, this method stores the OS-specific equivalent value of into . Otherwise, will contain 0.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` The managed value to convert. The OS-specific equivalent value. Converts a enumeration value to an OS-specific value. if the conversion was successful; otherwise, .

  This is an exception-safe alternative to .

  If successful, this method stores the OS-specific equivalent value of into . Otherwise, will contain 0.

- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` The managed value to convert. The OS-specific equivalent value. Converts a enumeration value to an OS-specific value. if the conversion was successful; otherwise, .

  This is an exception-safe alternative to .

  If successful, this method stores the OS-specific equivalent value of into . Otherwise, will contain 0.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` The managed value to convert. The OS-specific equivalent value. Converts a enumeration value to an OS-specific value. if the conversion was successful; otherwise, .

  This is an exception-safe alternative to .

  If successful, this method stores the OS-specific equivalent value of into . Otherwise, will contain 0.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` The managed value to convert. The OS-specific equivalent value. Converts a enumeration value to an OS-specific value. if the conversion was successful; otherwise, .

  This is an exception-safe alternative to .

  If successful, this method stores the OS-specific equivalent value of into . Otherwise, will contain 0.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` The managed value to convert. The OS-specific equivalent value. Converts a enumeration value to an OS-specific value. if the conversion was successful; otherwise, .

  This is an exception-safe alternative to .

  If successful, this method stores the OS-specific equivalent value of into . Otherwise, will contain 0.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` The managed value to convert. The OS-specific equivalent value. Converts a enumeration value to an OS-specific value. if the conversion was successful; otherwise, .

  This is an exception-safe alternative to .

  If successful, this method stores the OS-specific equivalent value of into . Otherwise, will contain 0.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` The managed value to convert. The OS-specific equivalent value. Converts a enumeration value to an OS-specific value. if the conversion was successful; otherwise, .

  This is an exception-safe alternative to .

  If successful, this method stores the OS-specific equivalent value of into . Otherwise, will contain 0.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` The managed value to convert. The OS-specific equivalent value. Converts a enumeration value to an OS-specific value. if the conversion was successful; otherwise, .

  This is an exception-safe alternative to .

  If successful, this method stores the OS-specific equivalent value of into . Otherwise, will contain 0.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` The managed value to convert. The OS-specific equivalent value. Converts a enumeration value to an OS-specific value. if the conversion was successful; otherwise, .

  This is an exception-safe alternative to .

  If successful, this method stores the OS-specific equivalent value of into . Otherwise, will contain 0.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` The managed value to convert. The OS-specific equivalent value. Converts a enumeration value to an OS-specific value. if the conversion was successful; otherwise, .

  This is an exception-safe alternative to .

  If successful, this method stores the OS-specific equivalent value of into . Otherwise, will contain 0.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` The managed value to convert. The OS-specific equivalent value. Converts a enumeration value to an OS-specific value. if the conversion was successful; otherwise, .

  This is an exception-safe alternative to .

  If successful, this method stores the OS-specific equivalent value of into . Otherwise, will contain 0.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` The managed value to convert. The OS-specific equivalent value. Converts a enumeration value to an OS-specific value. if the conversion was successful; otherwise, .

  This is an exception-safe alternative to .

  If successful, this method stores the OS-specific equivalent value of into . Otherwise, will contain 0.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` The managed value to convert. The OS-specific equivalent value. Converts a enumeration value to an OS-specific value. if the conversion was successful; otherwise, .

  This is an exception-safe alternative to .

  If successful, this method stores the OS-specific equivalent value of into . Otherwise, will contain 0.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` The managed value to convert. The OS-specific equivalent value. Converts a enumeration value to an OS-specific value. if the conversion was successful; otherwise, .

  This is an exception-safe alternative to .

  If successful, this method stores the OS-specific equivalent value of into . Otherwise, will contain 0.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` The managed value to convert. The OS-specific equivalent value. Converts a enumeration value to an OS-specific value. if the conversion was successful; otherwise, .

  This is an exception-safe alternative to .

  If successful, this method stores the OS-specific equivalent value of into . Otherwise, will contain 0.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` The managed value to convert. The OS-specific equivalent value. Converts a enumeration value to an OS-specific value. if the conversion was successful; otherwise, .

  This is an exception-safe alternative to .

  If successful, this method stores the OS-specific equivalent value of into . Otherwise, will contain 0.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` The managed value to convert. The OS-specific equivalent value. Converts a enumeration value to an OS-specific value. if the conversion was successful; otherwise, .

  This is an exception-safe alternative to .

  If successful, this method stores the OS-specific equivalent value of into . Otherwise, will contain 0.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` The managed value to convert. The OS-specific equivalent value. Converts a enumeration value to an OS-specific value. if the conversion was successful; otherwise, .

  This is an exception-safe alternative to .

  If successful, this method stores the OS-specific equivalent value of into . Otherwise, will contain 0.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` The managed value to convert. The OS-specific equivalent value. Converts a enumeration value to an OS-specific value. if the conversion was successful; otherwise, .

  This is an exception-safe alternative to .

  If successful, this method stores the OS-specific equivalent value of into . Otherwise, will contain 0.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` The managed value to convert. The OS-specific equivalent value. Converts a enumeration value to an OS-specific value. if the conversion was successful; otherwise, .

  This is an exception-safe alternative to .

  If successful, this method stores the OS-specific equivalent value of into . Otherwise, will contain 0.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` The managed value to convert. The OS-specific equivalent value. Converts a enumeration value to an OS-specific value. if the conversion was successful; otherwise, .

  This is an exception-safe alternative to .

  If successful, this method stores the OS-specific equivalent value of into . Otherwise, will contain 0.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` The managed value to convert. The OS-specific equivalent value. Converts a enumeration value to an OS-specific value. if the conversion was successful; otherwise, .

  This is an exception-safe alternative to .

  If successful, this method stores the OS-specific equivalent value of into . Otherwise, will contain 0.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` The managed value to convert. The OS-specific equivalent value. Converts a enumeration value to an OS-specific value. if the conversion was successful; otherwise, .

  This is an exception-safe alternative to .

  If successful, this method stores the OS-specific equivalent value of into . Otherwise, will contain 0.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` The managed value to convert. The OS-specific equivalent value. Converts a enumeration value to an OS-specific value. if the conversion was successful; otherwise, .

  This is an exception-safe alternative to .

  If successful, this method stores the OS-specific equivalent value of into . Otherwise, will contain 0.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` The managed value to convert. The OS-specific equivalent value. Converts a enumeration value to an OS-specific value. if the conversion was successful; otherwise, .

  This is an exception-safe alternative to .

  If successful, this method stores the OS-specific equivalent value of into . Otherwise, will contain 0.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` The OS-specific value to convert. The managed equivalent value Converts an OS-specific value to a . if the conversion was successful; otherwise, .

  This is an exception-safe alternative to .

  If successful, this method stores the managed equivalent value of into . Otherwise, will contain a 0 cast to a .

  The current conversion functions are unable to determine if a value in a [Flags]-marked enumeration does not exist on the current platform. As such, if contains a flag value which the current platform doesn't support, it will not be present in the managed value returned.

  This should only be a problem if was not previously returned by .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` The OS-specific value to convert. The managed equivalent value Converts an OS-specific value to a . if the conversion was successful; otherwise, .

  This is an exception-safe alternative to .

  If successful, this method stores the managed equivalent value of into . Otherwise, will contain a 0 cast to a .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` The OS-specific value to convert. The managed equivalent value Converts an OS-specific value to a . if the conversion was successful; otherwise, .

  This is an exception-safe alternative to .

  If successful, this method stores the managed equivalent value of into . Otherwise, will contain a 0 cast to a .

  The current conversion functions are unable to determine if a value in a [Flags]-marked enumeration does not exist on the current platform. As such, if contains a flag value which the current platform doesn't support, it will not be present in the managed value returned.

  This should only be a problem if was not previously returned by .

- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` The OS-specific value to convert. The managed equivalent value Converts an OS-specific value to a . if the conversion was successful; otherwise, .

  This is an exception-safe alternative to .

  If successful, this method stores the managed equivalent value of into . Otherwise, will contain a 0 cast to a .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` The OS-specific value to convert. The managed equivalent value Converts an OS-specific value to a . if the conversion was successful; otherwise, .

  This is an exception-safe alternative to .

  If successful, this method stores the managed equivalent value of into . Otherwise, will contain a 0 cast to a .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` The OS-specific value to convert. The managed equivalent value Converts an OS-specific value to a . if the conversion was successful; otherwise, .

  This is an exception-safe alternative to .

  If successful, this method stores the managed equivalent value of into . Otherwise, will contain a 0 cast to a .

  The current conversion functions are unable to determine if a value in a [Flags]-marked enumeration does not exist on the current platform. As such, if contains a flag value which the current platform doesn't support, it will not be present in the managed value returned.

  This should only be a problem if was not previously returned by .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` The OS-specific value to convert. The managed equivalent value Converts an OS-specific value to a . if the conversion was successful; otherwise, .

  This is an exception-safe alternative to .

  If successful, this method stores the managed equivalent value of into . Otherwise, will contain a 0 cast to a .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` The OS-specific value to convert. The managed equivalent value Converts an OS-specific value to a . if the conversion was successful; otherwise, .

  This is an exception-safe alternative to .

  If successful, this method stores the managed equivalent value of into . Otherwise, will contain a 0 cast to a .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` The OS-specific value to convert. The managed equivalent value Converts an OS-specific value to a . if the conversion was successful; otherwise, .

  This is an exception-safe alternative to .

  If successful, this method stores the managed equivalent value of into . Otherwise, will contain a 0 cast to a .

  The current conversion functions are unable to determine if a value in a [Flags]-marked enumeration does not exist on the current platform. As such, if contains a flag value which the current platform doesn't support, it will not be present in the managed value returned.

  This should only be a problem if was not previously returned by .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` The OS-specific value to convert. The managed equivalent value Converts an OS-specific value to a . if the conversion was successful; otherwise, .

  This is an exception-safe alternative to .

  If successful, this method stores the managed equivalent value of into . Otherwise, will contain a 0 cast to a .

  The current conversion functions are unable to determine if a value in a [Flags]-marked enumeration does not exist on the current platform. As such, if contains a flag value which the current platform doesn't support, it will not be present in the managed value returned.

  This should only be a problem if was not previously returned by .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` The OS-specific value to convert. The managed equivalent value Converts an OS-specific value to a . if the conversion was successful; otherwise, .

  This is an exception-safe alternative to .

  If successful, this method stores the managed equivalent value of into . Otherwise, will contain a 0 cast to a .

  The current conversion functions are unable to determine if a value in a [Flags]-marked enumeration does not exist on the current platform. As such, if contains a flag value which the current platform doesn't support, it will not be present in the managed value returned.

  This should only be a problem if was not previously returned by .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` The OS-specific value to convert. The managed equivalent value Converts an OS-specific value to a . if the conversion was successful; otherwise, .

  This is an exception-safe alternative to .

  If successful, this method stores the managed equivalent value of into . Otherwise, will contain a 0 cast to a .

  The current conversion functions are unable to determine if a value in a [Flags]-marked enumeration does not exist on the current platform. As such, if contains a flag value which the current platform doesn't support, it will not be present in the managed value returned.

  This should only be a problem if was not previously returned by .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` The OS-specific value to convert. The managed equivalent value Converts an OS-specific value to a . if the conversion was successful; otherwise, .

  This is an exception-safe alternative to .

  If successful, this method stores the managed equivalent value of into . Otherwise, will contain a 0 cast to a .

  The current conversion functions are unable to determine if a value in a [Flags]-marked enumeration does not exist on the current platform. As such, if contains a flag value which the current platform doesn't support, it will not be present in the managed value returned.

  This should only be a problem if was not previously returned by .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` The OS-specific value to convert. The managed equivalent value Converts an OS-specific value to a . if the conversion was successful; otherwise, .

  This is an exception-safe alternative to .

  If successful, this method stores the managed equivalent value of into . Otherwise, will contain a 0 cast to a .

  The current conversion functions are unable to determine if a value in a [Flags]-marked enumeration does not exist on the current platform. As such, if contains a flag value which the current platform doesn't support, it will not be present in the managed value returned.

  This should only be a problem if was not previously returned by .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` The OS-specific value to convert. The managed equivalent value Converts an OS-specific value to a . if the conversion was successful; otherwise, .

  This is an exception-safe alternative to .

  If successful, this method stores the managed equivalent value of into . Otherwise, will contain a 0 cast to a .

  The current conversion functions are unable to determine if a value in a [Flags]-marked enumeration does not exist on the current platform. As such, if contains a flag value which the current platform doesn't support, it will not be present in the managed value returned.

  This should only be a problem if was not previously returned by .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` The OS-specific value to convert. The managed equivalent value Converts an OS-specific value to a . if the conversion was successful; otherwise, .

  This is an exception-safe alternative to .

  If successful, this method stores the managed equivalent value of into . Otherwise, will contain a 0 cast to a .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` The OS-specific value to convert. The managed equivalent value Converts an OS-specific value to a . if the conversion was successful; otherwise, .

  This is an exception-safe alternative to .

  If successful, this method stores the managed equivalent value of into . Otherwise, will contain a 0 cast to a .

  The current conversion functions are unable to determine if a value in a [Flags]-marked enumeration does not exist on the current platform. As such, if contains a flag value which the current platform doesn't support, it will not be present in the managed value returned.

  This should only be a problem if was not previously returned by .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` The OS-specific value to convert. The managed equivalent value Converts an OS-specific value to a . if the conversion was successful; otherwise, .

  This is an exception-safe alternative to .

  If successful, this method stores the managed equivalent value of into . Otherwise, will contain a 0 cast to a .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` The OS-specific value to convert. The managed equivalent value Converts an OS-specific value to a . if the conversion was successful; otherwise, .

  This is an exception-safe alternative to .

  If successful, this method stores the managed equivalent value of into . Otherwise, will contain a 0 cast to a .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` The OS-specific value to convert. The managed equivalent value Converts an OS-specific value to a . if the conversion was successful; otherwise, .

  This is an exception-safe alternative to .

  If successful, this method stores the managed equivalent value of into . Otherwise, will contain a 0 cast to a .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` The OS-specific value to convert. The managed equivalent value Converts an OS-specific value to a . if the conversion was successful; otherwise, .

  This is an exception-safe alternative to .

  If successful, this method stores the managed equivalent value of into . Otherwise, will contain a 0 cast to a .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` The OS-specific value to convert. The managed equivalent value Converts an OS-specific value to a . if the conversion was successful; otherwise, .

  This is an exception-safe alternative to .

  If successful, this method stores the managed equivalent value of into . Otherwise, will contain a 0 cast to a .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` The OS-specific value to convert. The managed equivalent value Converts an OS-specific value to a . if the conversion was successful; otherwise, .

  This is an exception-safe alternative to .

  If successful, this method stores the managed equivalent value of into . Otherwise, will contain a 0 cast to a .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` The OS-specific value to convert. The managed equivalent value Converts an OS-specific value to a . if the conversion was successful; otherwise, .

  This is an exception-safe alternative to .

  If successful, this method stores the managed equivalent value of into . Otherwise, will contain a 0 cast to a .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` The OS-specific value to convert. The managed equivalent value Converts an OS-specific value to a . if the conversion was successful; otherwise, .

  This is an exception-safe alternative to .

  If successful, this method stores the managed equivalent value of into . Otherwise, will contain a 0 cast to a .

  The current conversion functions are unable to determine if a value in a [Flags]-marked enumeration does not exist on the current platform. As such, if contains a flag value which the current platform doesn't support, it will not be present in the managed value returned.

  This should only be a problem if was not previously returned by .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` The OS-specific value to convert. The managed equivalent value Converts an OS-specific value to a . if the conversion was successful; otherwise, .

  This is an exception-safe alternative to .

  If successful, this method stores the managed equivalent value of into . Otherwise, will contain a 0 cast to a .

  The current conversion functions are unable to determine if a value in a [Flags]-marked enumeration does not exist on the current platform. As such, if contains a flag value which the current platform doesn't support, it will not be present in the managed value returned.

  This should only be a problem if was not previously returned by .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` The OS-specific value to convert. The managed equivalent value Converts an OS-specific value to a . if the conversion was successful; otherwise, .

  This is an exception-safe alternative to .

  If successful, this method stores the managed equivalent value of into . Otherwise, will contain a 0 cast to a .

  The current conversion functions are unable to determine if a value in a [Flags]-marked enumeration does not exist on the current platform. As such, if contains a flag value which the current platform doesn't support, it will not be present in the managed value returned.

  This should only be a problem if was not previously returned by .